<?php

$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

// $wp_customize->add_setting(
//     'pages_logoTopsetmaxwidth',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '100', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_control(
//     'pages_logoTopsetmaxwidth',
//     array(
//         'settings'      => 'pages_logoTopsetmaxwidth',
//         'section'       => 'title_tagline',
//         'type'          => 'text',
//         'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
//     )
// );

addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#fff');

$wp_customize->add_setting( 'head_sitetitle_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_sitetitle_display', array( 'label' => 'Site Title Display', 'section' => 'title_tagline', 'settings' => 'head_sitetitle_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

$wp_customize->add_setting( 'head_tagline_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_tagline_display', array( 'label' => 'Tagline Display', 'section' => 'title_tagline', 'settings' => 'head_tagline_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Set Logo Width & Height');

$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100%', 'luzuk-premium' )

    )
);

// logo width

$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'range',
        'label'         => __( 'Width', 'luzuk-premium' )
    )
);

// logo height

$wp_customize->add_setting(
    'pages_logoTopsetmaxheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxheight',
    array(
        'settings'      => 'pages_logoTopsetmaxheight',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Height ', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'header_settings', 'Logo Margin');

$wp_customize->add_setting(
    'logo_logoTmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoTmargin',
    array(
        'settings'      => 'logo_logoTmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoRmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoRmargin',
    array(
        'settings'      => 'logo_logoRmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoBmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoBmargin',
    array(
        'settings'      => 'logo_logoBmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoLmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoLmargin',
    array(
        'settings'      => 'logo_logoLmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Color');

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#DDA759');

addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menus Color', '#FABE16');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#000');

addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#E40000');

addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_submenusbgsColor', 'header_settings', 'Header BG Color', '#2B2F3A');

lzCustomLable($wp_customize, 'header_headerdetailssettings', $sectionHeader, 'Header Button Settings');

$wp_customize->add_setting(
    'headerbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Join Now', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'headerbtn_text',
    array(
        'settings'      => 'headerbtn_text',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);


$wp_customize->add_setting('headerbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('headerbtnlink',
    array(
        'settings'      => 'headerbtnlink',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'header_btntxtClr', 'header_settings', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'header_btntxthvrClr', 'header_settings', 'Button Text Hover Color', '#E40000');

addColorPalatOption($wp_customize, 'header_btnbgClr', 'header_settings', 'Button BG Color', '#E40000');

addColorPalatOption($wp_customize, 'header_btnbghvrClr1', 'header_settings', 'Button BG Hover Color 1', '#FFAA00');

addColorPalatOption($wp_customize, 'header_btnbghvrClr2', 'header_settings', 'Button BG Hover Color 2', '#fff');

// addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active BG Color', '#f1f1f1');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Menus Title Color', '#000');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuttlbgColor', 'header_settings', 'Menus Title BG Color', '#d5d5d5');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenuColor', 'header_settings', 'Menus Color', '#fff');

addColorPalatOption($wp_customize, 'header_navigationrespnavmenubgColor', 'header_settings', 'Menus BG Color', '#1B1D26'); 

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );

//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#E40000');

//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#1B1D26');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Inner Page Color');

lzCustomLable($wp_customize, 'innheadr_Overlay', 'colors', 'Inner Header Color');

$wp_customize->add_setting(
    'innheadr_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.8', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'innheadr_Opacity',
    array(
        'settings'      => 'innheadr_Opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Innerpage Header Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header Overlay Color', '#1B1D26');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_shapeclr1', 'colors', 'Inner Page Header Shape Color 1', '#FCD515');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_shapeclr2', 'colors', 'Inner Page Header Shape Color 2', '#F9AE16');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_titlecolor', 'colors', 'Inner Page Header Title Color', '#fff'); 

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductqtyplusminus_color', 'colors', 'Inner Page Product Quantity Plus Minus Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductqtyplusminusbg_color', 'colors', 'Inner Page Product Quantity Plus Minus BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproducttxt_color', 'colors', 'Inner Page Product Text Color', '#707070');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductactivetabbg_color', 'colors', 'Inner Page Product Active Tab BG Color', '#F1F1F1');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#ccc');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#F9AE16');

addColorPalatOption($wp_customize, 'luzuk_innerpagemainss_iconClr', 'colors', 'Inner Page Icons Color', '#FBC216');

//addColorPalatOption($wp_customize, 'luzuk_innerpagemainss_iconbgClr', 'colors', 'Inner Page Icons , Icon Bg Color', '#fdaf1b');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color', 'colors', 'Inner Page List Number Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page list Number Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksbgsclr_color', 'colors', 'Inner Page list Number BG Color', '#FBC216');

//addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclrbrd_color', 'colors', 'Inner Page list Number BG Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Text Field & Product Image Border Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blockquoteextClr', 'colors', 'Inner Page Blockquote Text Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blockquotcitetxtClr', 'colors', 'Inner Page Blockquote Author Text Color', '#000');

addColorPalatOption($wp_customize, 'innerpage_blockquotcitebgClr', 'colors', 'Inner Page Blockquote Author BG Color', '#FAB816');

addColorPalatOption($wp_customize, 'innerpage_blockquoteovlyClr', 'colors', 'Inner Page Blockquote Overlay Color', '#000');

// $wp_customize->add_setting('blockquotelink',   
//     array('default'=> 'images/block.png', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('blockquotelink',
//     array(
//         'settings'      => 'blockquotelink',
//         'section'       => 'colors',
//         'type'          => 'url',
//         'label'         => __( 'Image Link ', 'luzuk-premium' )
//     )
// );

$wp_customize->add_setting('blockquotelink', array(
    'default'           => get_template_directory_uri() . '/images/block.png', 
    'sanitize_callback' => 'esc_url_raw',
));
$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'blockquotelink_control', array(
    'label'    => __('Blockquote Image', 'premium'),
    'section'  => 'colors', 
    'settings' => 'blockquotelink',
)));

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#E40000');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_sidebar', 'colors', 'Sidebar Color');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrbxbgclr1', 'colors', 'Sidebar BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadclr', 'colors', 'Sidebar Title Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrtitlebgclr1', 'colors', 'Sidebar Title BG Color 1', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrtitlebgclr2', 'colors', 'Sidebar Title BG Color 2', '#4A4A4A');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrlinksclr', 'colors', 'Sidebar Links Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicn_clr', 'colors', 'Sidebar Links Icon Color', '#E11D07');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitleclr', 'colors', 'Sidebar Menu Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmcurrnttitleclr', 'colors', 'Sidebar Active Menu Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtitlebgclr', 'colors', 'Sidebar Menu BG  Color', '#e8e8e9');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmcurrnttitlebgclr', 'colors', 'Sidebar Active Menu BG  Color', '#1D1F28');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmmenuiconclr1', 'colors', 'Sidebar Menu Icon Color 1', '#F9AE16');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmmenuiconclr2', 'colors', 'Sidebar Menu Icon Color 2', '#FCD515');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnclr', 'colors', 'Sidebar Search Form Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbrdClr', 'colors', 'Sidebar Form Fields Border Color', '#000');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmtxt', 'colors', 'Sidebar Form Text Color', '#000');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#FF0000');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'luzuk_backttoparrclr', 'colors', 'Site Navigation Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbghvclr', 'colors', 'Site Navigation Arrow Hover Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation BG Color', '#E40000');


//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 


$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbtitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Current Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlecolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Color', '#1F222B');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_breadcrumbcurrenttitlehovercolor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Hover Color', '#E40000');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date , Time & Admin Display Setting');

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Post Date, Time And Admin Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

lzCustomLable($wp_customize, 'allblog_imgsize', 'luzuk_blogpage_settings', 'Post Image Size Setting');

$wp_customize->add_setting(
    'allblog_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '219px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'allblog_imgheight',
    array(
        'settings'      => 'allblog_imgheight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blogpages_innerpageheadingweight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheadingweight',
    array(
        'settings'      => 'blogpages_innerpageheadingweight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Weight', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blgtxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blgtxtlimit',
    array(
        'settings'      => 'blgtxtlimit',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_clr', 'luzuk_blogpage_settings', 'Color Setting');

addColorPalatOption($wp_customize, 'template_innerpage_blogbxbgclr', 'luzuk_blogpage_settings', 'Blog BG Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_blogttleclr', 'luzuk_blogpage_settings', 'Title Color', '#282C2A');

addColorPalatOption($wp_customize, 'template_innerpage_blogtitlehvclr', 'luzuk_blogpage_settings', 'Title Hover Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_blogtextclr', 'luzuk_blogpage_settings', 'Text Color', '#576B81');

addColorPalatOption($wp_customize, 'template_innerpage_authorclr', 'luzuk_blogpage_settings', 'Author Name Color', '#576B81');

addColorPalatOption($wp_customize, 'template_innerpage_authorimgbrdclr', 'luzuk_blogpage_settings', 'Author Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_blogdatetxtclr', 'luzuk_blogpage_settings', 'Blog Time And Date Color', '#BDC1CA');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_commenttextclr', 'luzuk_blogpage_settings', 'Comment Icon And Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_commentbxbgclr', 'luzuk_blogpage_settings', 'Comment Box BG Color', '#E40000');

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//backgroundManager($wp_customize, 'footer', 'footer_area', $color='#000', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1.4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_policytxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Privacy Policy', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_policytxt',
    array(
        'settings'      => 'footer_area_policytxt',
        'section'       => 'footer_area',
        'type'          => 'textarea', 
        'label'         => __( 'Footer Policy Text', 'luzuk Premium' )
    )
);

$wp_customize->add_setting('footer_area_policylink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_area_policylink',
    array(
        'settings'      => 'footer_area_policylink',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Policy Link ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'footer_area_conditiontxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Terms & Conditions', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_conditiontxt',
    array(
        'settings'      => 'footer_area_conditiontxt',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Conditions Text', 'luzuk Premium' )
    )
);

$wp_customize->add_setting('footer_area_conditionlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('footer_area_conditionlink',
    array(
        'settings'      => 'footer_area_conditionlink',
        'section'       => 'footer_area',
        'type'          => 'url',
        'label'         => __( 'Conditions Link ', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2024 Wine Store All Rights Reserved.', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);

// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_boxbg_color1', 'footer_area', 'Footer BG Color 1', '#1B1D26');

addColorPalatOption($wp_customize, 'footerarea_boxbg_color2', 'footer_area', 'Footer BG Color 2', '#333744');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#929399');

addColorPalatOption($wp_customize, 'footerarea_border_color', 'footer_area', 'Footer Border Color', '#4b4b4e');

addColorPalatOption($wp_customize, 'footerarea_icon_color', 'footer_area', 'Icon Color', '#E40000');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#E40000');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#E40000');

addColorPalatOption($wp_customize, 'footerarea_siconbrd_color', 'footer_area', 'Social Icon Border Color', '#7a7a7c');

addColorPalatOption($wp_customize, 'footerarea_siconbrdhvr_color', 'footer_area', 'Social Icon Border Hover Color', '#E40000');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#929399');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#FABE16');

addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#FABE16');

addColorPalatOption($wp_customize, 'footerarea_secondmenu_color', 'footer_area', 'Second Footer Menu Color', '#F5F5F5');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#E40000');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'FooterAreata_brdClr', 'footer_area', 'Form Border Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'footerarea_formbuttonbg_clr', 'footer_area', 'Form Button BG Color', '#E40000');

addColorPalatOption($wp_customize, 'footerarea_copytxtbgclr1', 'footer_area', 'Copyright BG Color 1', '#1B1D26');

addColorPalatOption($wp_customize, 'footerarea_copytxtbgclr2', 'footer_area', 'Copyright BG Color 2', '#333744');

addColorPalatOption($wp_customize, 'footerarea_copytxtclr', 'footer_area', 'Copyright Text Color', '#686971');

lzCustomLable($wp_customize, 'footerarea_imgdisplay', 'footer_area' , 'Image Setting');
 
// to show & hide another button
$wp_customize->add_setting( 'footer_img_display' , array( 'default' => 'show', 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'footer_img_display', array( 'label' => 'Image Display', 'section' => 'footer_area', 'settings' => 'footer_img_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height 340*300.');

$wp_customize->add_setting(
    'serinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '276px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'serinnpg_imgheight',
    array(
        'settings'      => 'serinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Image Height', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'sertxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '130', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sertxtlimit',
    array(
        'settings'      => 'sertxtlimit',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Box Text Limit', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_InnSerImgovlyClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Overlay Color', '#1B1D26');

addColorPalatOption($wp_customize, 'luzuk_InnSerTitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_InnSerTextClr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnClr', 'luzuk_innerpageshortcode_page_settings', 'Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_InnSerbtnicnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Button BG Color', '#E40000');

lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height.{407*501}');

addColorPalatOption($wp_customize, 'pages_InnTeamimgovlyClr', 'luzuk_innerpageshortcode_page_settings', 'Member Name BG Color', '#1B1D26');

addColorPalatOption($wp_customize, 'pages_InnTeamNameClr', 'luzuk_innerpageshortcode_page_settings', 'Member Name Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnTmDesiClr', 'luzuk_innerpageshortcode_page_settings', 'Member Designation Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnimghvrovlyClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Overlay Color', '#1B1D26');

addColorPalatOption($wp_customize, 'pages_InnTeammemberdtlsheadingClr', 'luzuk_innerpageshortcode_page_settings', 'Member Details Heading Color', '#a4a4a7');

addColorPalatOption($wp_customize, 'pages_InnTeammemberdtlsClr', 'luzuk_innerpageshortcode_page_settings', 'Member Details Color', '#fff');

addColorPalatOption($wp_customize, 'pages_InnTeammemberdtlsbgClr', 'luzuk_innerpageshortcode_page_settings', 'Member Details BG Color', '#fff');

lzCustomLable($wp_customize, 'luzuk_testimonialinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonial Shortcode Page Colors');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_imgbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color', '#d4d4d4');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_imghvrbrdclr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Hover Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_innertestimonials_quoteiconclr', 'luzuk_innerpageshortcode_page_settings', 'Quote Icon Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_innerTs_textclr', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#576B81');

addColorPalatOption($wp_customize, 'luzuk_innertesi_Nameclr', 'luzuk_innerpageshortcode_page_settings', 'Client Name Color', '#0F2B4A');

//addColorPalatOption($wp_customize, 'luzuk_innertesti_postionclr', 'luzuk_innerpageshortcode_page_settings', 'Client Designation Color', '#000');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended Image Size Is 424x322px');

$wp_customize->add_setting(
    'gallinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '322px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallinnpg_imgheight',
    array(
        'settings'      => 'gallinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Image Height', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_gallinnimg1Clr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Color', '#DDA759');

addColorPalatOption($wp_customize, 'luzuk_gallinntitleClr', 'luzuk_innerpageshortcode_page_settings', 'Title Color', '#fff');
 
lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors');

$wp_customize->add_setting(
    'faq_heading1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'LOREM IPSUM IS SIMPLY', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_heading1',
    array(
        'settings'      => 'faq_heading1',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faq_highheading1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'DUMMY TEXT OF', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_highheading1',
    array(
        'settings'      => 'faq_highheading1',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Highlighted Heading 1', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faq_txt1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum Is Simply Dummy Text Of The Printing And Typesetting Industry. Lorem Ipsum Has Been The Industrys Standard Dummy Text Ever Since The 1500S, When An Unknown Printer Took A Galley Of Type', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_txt1',
    array(
        'settings'      => 'faq_txt1',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Text 1', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faq_heading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'IF YOU NEED', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_heading2',
    array(
        'settings'      => 'faq_heading2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faq_highheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'MORE HELP', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_highheading2',
    array(
        'settings'      => 'faq_highheading2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Highlighted Heading 2', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faq_txt2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum Is Simply Dummy Text Of The Printing And Typesetting Industry. Lorem Ipsum Has Been The Industrys Standard Dummy Text Ever Since The 1500S, When An Unknown Printer Took A Galley Of Type', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_txt2',
    array(
        'settings'      => 'faq_txt2',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Text 2', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'faq_btntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'READ MORE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'faq_btntxt',
    array(
        'settings'      => 'faq_btntxt',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('faq_btnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('faq_btnlink',
    array(
        'settings'      => 'faq_btnlink',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_faqinnerpageheadingColor', 'luzuk_innerpageshortcode_page_settings', 'Heading Color', '#0F0F0F'); 

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagehighheadingColor', 'luzuk_innerpageshortcode_page_settings', 'Heighlighted Heading Color', '#E40000');   

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetxtColor', 'luzuk_innerpageshortcode_page_settings', 'Text Color', '#585858');   

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebtntxtColor', 'luzuk_innerpageshortcode_page_settings', 'Button Text Color', '#fff');  

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebtnhvrColor', 'luzuk_innerpageshortcode_page_settings', 'Button Text Hover Color', '#E40000');  

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebtnbgColor', 'luzuk_innerpageshortcode_page_settings', 'Button BG Color', '#E40000');  

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebtnbghvrColor1', 'luzuk_innerpageshortcode_page_settings', 'Button BG Hover Color 1', '#000'); 

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebtnbghvrColor2', 'luzuk_innerpageshortcode_page_settings', 'Button BG Hover Color 2', '#FABD16'); 

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleIconbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question Icon BG Color', '#F5F5F5');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Text Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitlebrdColor', 'luzuk_innerpageshortcode_page_settings', 'Select Question Border Color', '#dadada');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Select Answer Text Color', '#585858');


$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_innerpage_titlepaddset', 'luzuk_innerpagefont_settings', ' Set Inner Header Padding');


$wp_customize->add_setting(
    'inner_headertitleboxTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '14.75em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxTpadding',
    array(
        'settings'      => 'inner_headertitleboxTpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'inner_headertitleboxBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'inner_headertitleboxBpadding',
    array(
        'settings'      => 'inner_headertitleboxBpadding',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

// 
// lzCustomLable($wp_customize, 'luzuk_innerheadertitle_fontsizeset', 'luzuk_innerpagefont_settings', ' Inner Page Title Font Size');

// $wp_customize->add_setting(
//     'pages_innerheadertitle',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '49px', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'pages_innerheadertitle',
//     array(
//         'settings'      => 'pages_innerheadertitle',
//         'section'       => 'luzuk_innerpagefont_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Header Title Font Size', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_setting(
//     'pages_innerheadertitleweight',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '500', 'luzuk-premium' )
//     )
// );
// $wp_customize->add_control(
//     'pages_innerheadertitleweight',
//     array(
//         'settings'      => 'pages_innerheadertitleweight',
//         'section'       => 'luzuk_innerpagefont_settings',
//         'type'          => 'text',
//         'label'         => __( 'Inner Header Title Font Weight', 'luzuk-premium' )
//     )
// );
// 

lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '33px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading1',
	array(
		'settings'      => 'pages_innerpageheading1',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight1',
    array(
        'settings'      => 'pages_innerpageheadingweight1',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'luzuk_innerpagefont_settings', 'Heading 1 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '30px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight2',
    array(
        'settings'      => 'pages_innerpageheadingweight2',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'luzuk_innerpagefont_settings', 'Heading 2 Color', '#000');

 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '29px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight3',
    array(
        'settings'      => 'pages_innerpageheadingweight3',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Weight', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'luzuk_innerpagefont_settings', 'Heading 3 Color', '#000');


lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '20px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight4',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight4',
    array(
        'settings'      => 'pages_innerpageheadingweight4',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'luzuk_innerpagefont_settings', 'Heading 4 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '19px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight5',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight5',
    array(
        'settings'      => 'pages_innerpageheadingweight5',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'luzuk_innerpagefont_settings', 'Heading 5 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '18px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight6',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '500', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight6',
    array(
        'settings'      => 'pages_innerpageheadingweight6',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'luzuk_innerpagefont_settings', 'Heading 6 Color', '#000');

lzCustomLable($wp_customize, 'luzuk_innerpageextrahheading', 'luzuk_innerpagefont_settings', ' Heading Extra Color');

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpagefont_settings', 'Note: Bold = Use <b></b> Tag & Heihlight = Use <span></span> Tag');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Bold Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Highlight Color', '#E40000');

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');

$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f1e3', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);