<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    ); 
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

//backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/about-bg.png', 'color');

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'luzuk_aboutus_bg_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'luzuk_aboutus_bg_image',
        array(
            'section' => 'about_area',
            'settings' => 'luzuk_aboutus_bg_image',
            'description' => __('Recommended Image Size: 1500X787', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'about_secbg_clr1', 'about_area', 'Section BG Color 1', '#2A2D38');

addColorPalatOption($wp_customize, 'about_secbg_clr2', 'about_area', 'Section BG Color 2', '#1B1D26');

lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'aboutarea_vrttxt', 'about_area', 'Section Left Text');

$wp_customize->add_setting(
    'about_verticletxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'PREMIER LEAGUE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_verticletxt',
    array(
        'settings'      => 'about_verticletxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Vertical Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_expnum',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '10', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_expnum',
    array(
        'settings'      => 'about_expnum',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Number', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_expyear',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'YEAR', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_expyear',
    array(
        'settings'      => 'about_expyear',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Year', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_exptxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'EXPERIENCE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_exptxt',
    array(
        'settings'      => 'about_exptxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'aboutarea_rghtbx', 'about_area', 'Left Text Color');

addColorPalatOption($wp_customize, 'about_verticlatxt_clr', 'about_area', 'Vertical Text Color ', '#F5F5F5');

addColorPalatOption($wp_customize, 'about_experiecetxt_clr', 'about_area', 'Experience Text Color ', '#F5F5F5');

addColorPalatOption($wp_customize, 'about_experieceshdw_clr1', 'about_area', 'Experience Shadow Color 1', '#FCD515');

addColorPalatOption($wp_customize, 'about_experieceshdw_clr2', 'about_area', 'Experience Shadow Color 2', '#F9AE16');

addColorPalatOption($wp_customize, 'about_experiecbtmbrd_clr', 'about_area', 'Bottom Border Color', '#fff');

lzCustomLable($wp_customize, 'aboutarea_heading', 'about_area', 'Section Heading');

$wp_customize->add_setting(
    'about_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'JOIN THE CLUB', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subtitle',
    array(
        'settings'      => 'about_subtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SOCCER DREAMS START HERE, ARE MADE TOGETHER', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(  
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s,', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'aboutus_npp_heading',
        array(
            'settings'      => 'aboutus_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-trophy',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='There are many variations of');

lzAddElement($wp_customize, 'aboutus_page_text'.$i, 'about_area', $type = 'text', $label="Text", $callback ='luzuk_sanitize_text', $default='Lorem Ipsum Is Simply Dummy Text Of The Printing And Typesetting Industry. Lorem Ipsum');
}

lzCustomLable($wp_customize, 'aboutarea_clr', 'about_area', 'Section Color');

addColorPalatOption($wp_customize, 'about_secsubtitle_clr', 'about_area', 'Sub Heading Color ', '#FF0000');

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Heading Color ', '#fff');

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Text Color', '#BABABA');

addColorPalatOption($wp_customize, 'about_area_planicon', 'about_area', 'Plan Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_plantitle', 'about_area', 'Plan Title Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_plantext', 'about_area', 'Plan Text Color', '#BABABA');

lzCustomLable($wp_customize, 'Sec_notice', 'about_area' , 'Section List');

$wp_customize->add_setting(
    'nbxlist',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>Lorem Ipsum is simply dummy text of the printing and typesetting</li> 
<li>Lorem Ipsum is simply dummy text of the printing and typesetting</li> 
<li>Lorem Ipsum is simply dummy text of the printing and typesetting</li> ', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'nbxlist',
    array(
        'settings'      => 'nbxlist',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Add List', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_listiconcolor', 'about_area', 'List Icon Color', '#E40000');

addColorPalatOption($wp_customize, 'about_area_noticelist', 'about_area', 'List Color', '#fff');

lzCustomLable($wp_customize, 'abtSec_btnclr', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'READ MORE', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtn_text',
    array(
        'settings'      => 'abtbtn_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abtdec_btntxtclr', 'about_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_btntxthvclr', 'about_area', 'Button Text Hover Color', '#E40000');

addColorPalatOption($wp_customize, 'abtdec_btnBGclr', 'about_area', 'Button BG Color', '#E40000');

addColorPalatOption($wp_customize, 'abtdec_btnBGhvrclr1', 'about_area', 'Button BG Hover Color', '#FFAA00');

addColorPalatOption($wp_customize, 'abtdec_btnBGhvrclr2', 'about_area', 'Button BG Hover Color', '#fff');