<?php  

$luzukSliderSingleChoice = getFitnessPostsType('slider');
$wp_customize->add_section(
    'slider_section',
    array(
        'title' => __( 'Slider Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel',
        'priority' =>18
    )
);
$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);
$wp_customize->add_setting('slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'slider_section_lbl',
        array(
            'settings'      => 'slider_section_lbl',
            'section'       => 'slider_section',
            'label'         => __( 'Note:', 'Luzuk' ),  
            'description'   => __( 'The page featured image works as a banner and the title & content work as a slider caption. You can add this from the Slider menu. <br/> Recommended Image Size: 867X685', 'Luzuk' ),
        )
    )
);


lzCustomLable($wp_customize, 'luzuk_sliderotherclrs', 'slider_section', 'Slider Color');

addColorPalatOption($wp_customize, 'slider_bgClr1', 'slider_section', 'Slider BG Color 1', '#1B1D26');

addColorPalatOption($wp_customize, 'slider_bgClr2', 'slider_section', 'Slider BG Color 2', '#333744');

addColorPalatOption($wp_customize, 'slider_SubtitleClr', 'slider_section', 'Slider Sub Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_titleClr', 'slider_section', 'Slider Title Color', '#fff');

addColorPalatOption($wp_customize, 'slider_hightitleClr', 'slider_section', 'Slider Highlighted Title Color', '#FABD16');

addColorPalatOption($wp_customize, 'slider_TxtClr', 'slider_section', 'Slider Text Color', '#88898e');

addColorPalatOption($wp_customize, 'slider_ButtontextColor', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'slider_ButtontexthoverColor', 'slider_section', 'Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'slider_Buttonibrd', 'slider_section', 'Button BG Color', '#E40000');

addColorPalatOption($wp_customize, 'slider_Buttonihv1', 'slider_section', 'Button BG Hover Color 1', '#fff');

addColorPalatOption($wp_customize, 'slider_Buttonihv2', 'slider_section', 'Button BG Hover Color 2', '#FABD16');

lzCustomLable($wp_customize, 'luzuk_sliderbutnclrs', 'slider_section', 'Slider Buttton Colors ');

addColorPalatOption($wp_customize, 'sli_btnbgclr', 'slider_section', 'Slider Button BG Color', '#E8213F');

addColorPalatOption($wp_customize, 'sli_btnarowclr', 'slider_section', 'Slider Button Arrow Color', '#fff');

addColorPalatOption($wp_customize, 'sli_btnarowhvclr', 'slider_section', 'Slider Button Arrow Hover Color', '#000');

lzCustomLable($wp_customize, 'luzuk_rightstickybtnsetting', 'slider_section', 'Right Sticky Button');

$wp_customize->add_setting(
    'right_stickybtn',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'right_stickybtn',
    array(
        'settings'      => 'right_stickybtn',
        'section'       => 'slider_section',
        'type'          => 'text',
        'label'         => __( 'Sticky Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'right_stickyform',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '[your Shortcode]' )
    )
);
$wp_customize->add_control(
    'right_stickyform',
    array(
        'settings'      => 'right_stickyform',
        'section'       => 'slider_section',
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
    )
);

// to show & hide another button
$wp_customize->add_setting( 'stickybtn_display' , array( 'default' => 'show', 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'stickybtn_display', array( 'label' => 'Button Display', 'section' => 'slider_section', 'settings' => 'stickybtn_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) );

addColorPalatOption($wp_customize, 'luzuk_template_innerpagebtntxt_color', 'slider_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagebtnbg_color', 'slider_section', 'Button BG Color', '#E40000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepopupbg_color', 'slider_section', 'Popup BG Color', '#fff');