<?php
/*
 * Template Name: Wishlist
 */

get_header();
?>
<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header" <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;background-position: bottom;"<?php endif ?> >
    <div class="innerheader-overlay"></div>
    <div class="innerheader-mask"></div>
    <div class="container">
        <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
        <div class="breadcrumbbox wow bounceInLeft">
            <div class='button'>
             <?php luzuk_lite_the_breadcrumb(); ?> </div>
            <div class="clearfix"></div>
        </div>
        <?php endif ?>
        <?php the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
</header>
<main id="innerpage-box">
    <div class="container">
        <div id="wishlist" class="content-area">
            <div class="wishlist-content">
                <?php
                    $user_id = get_current_user_id();
                    $wishlist = get_user_meta($user_id, 'wishlist', true);

                    // Check if product removal action succeeded
                    if (isset($_GET['action']) && $_GET['action'] === 'removed') {
                        echo '<p class="woocommerce-message">Product removed from your wishlist.</p>';
                    }

                    if ($wishlist && !empty($wishlist)) {
                        echo '<ul class="wishlist-products">';
                        foreach ($wishlist as $product_id) {
                            $product = wc_get_product($product_id);
                            if ($product) {
                                echo '<li class="wishlist-product">';
                                echo '<a href="' . get_permalink($product_id) . '">';

                                // Product image
                                echo '<div class="wishlist-product-image">';
                                echo $product->get_image('woocommerce_thumbnail');
                                echo '</div>';

                                // Product title
                                echo '<h5 class="wishlist-product-title">' . $product->get_name() . '</h5>';

                                // Product price
                                echo '<div class="wishlist-product-price">' . $product->get_price_html() . '</div>';

                                // Add to cart button
                                echo '<div class="wishlist-product-add-to-cart">';
                                echo '<a href="' . $product->add_to_cart_url() . '" class="button add_to_cart_button">Add to Cart</a>';
                                echo '</div>';

                                // // Remove from wishlist button
                                // echo '<div class="wishlist-product-remove">';
                                // echo '<a href="?remove_from_wishlist=' . $product_id . '" class="remove-from-wishlist-button">Remove</a>';
                                // echo '</div>';

                                // Remove from wishlist button
                                echo '<div class="wishlist-product-remove">';
                                echo '<a href="#" class="remove-from-wishlist-button" data-remove-url="?remove_from_wishlist=' . $product_id . '">Remove</a>';
                                echo '</div>';

                                echo '</a>';
                                echo '</li>';
                            }
                        }
                        echo '</ul>';
                    } else {
                        echo '<svg fill="#000000" height="72px" width="72px" id="Layer_1" viewBox="0 0 512 512"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"> <g> <g> <g> <path d="M256,0C114.617,0,0,114.617,0,256s114.617,256,256,256s256-114.617,256-256S397.383,0,256,0z M256,494.933 C124.043,494.933,17.067,387.957,17.067,256S124.043,17.067,256,17.067S494.933,124.043,494.933,256S387.957,494.933,256,494.933 z"></path> <path d="M162.133,256c20.46,0,34.133-27.346,34.133-59.733c0-32.388-13.673-59.733-34.133-59.733 c-20.461,0-34.133,27.346-34.133,59.733C128,228.654,141.673,256,162.133,256z M162.133,153.6 c7.819,0,17.067,18.495,17.067,42.667s-9.248,42.667-17.067,42.667c-7.819,0-17.067-18.495-17.067-42.667 S154.314,153.6,162.133,153.6z"></path> <path d="M349.867,136.533c-20.461,0-34.133,27.346-34.133,59.733c0,32.388,13.673,59.733,34.133,59.733 c20.46,0,34.133-27.346,34.133-59.733C384,163.879,370.327,136.533,349.867,136.533z M349.867,238.933 c-7.819,0-17.067-18.495-17.067-42.667s9.248-42.667,17.067-42.667s17.067,18.495,17.067,42.667S357.686,238.933,349.867,238.933 z"></path> <path d="M392.533,119.467c-18.873,0-34.133-15.26-34.133-34.133c0-4.713-3.82-8.533-8.533-8.533s-8.533,3.82-8.533,8.533 c0,28.299,22.901,51.2,51.2,51.2c4.713,0,8.533-3.82,8.533-8.533S397.246,119.467,392.533,119.467z"></path> <path d="M170.667,85.333c0-4.713-3.82-8.533-8.533-8.533s-8.533,3.82-8.533,8.533c0,18.873-15.26,34.133-34.133,34.133 c-4.713,0-8.533,3.82-8.533,8.533s3.82,8.533,8.533,8.533C147.766,136.533,170.667,113.632,170.667,85.333z"></path> <path d="M256,298.667c-45.975,0-86.916,24.514-109.784,63.989c-2.362,4.078-0.971,9.299,3.107,11.661 c4.078,2.362,9.299,0.971,11.661-3.107c19.868-34.298,55.241-55.477,95.016-55.477s75.148,21.179,95.016,55.477 c2.362,4.078,7.583,5.469,11.661,3.107c4.078-2.362,5.469-7.583,3.107-11.661C342.916,323.18,301.975,298.667,256,298.667z"></path> </g> </g> </g> </g></svg><p>Your wishlist is currently empty.</p>';
                    }
                echo '</div>';
                ?>
                <div id="confirm-remove-popup" style="display: none;">
                    <div class="popup-content">
                        <span id="popup-close">&times;</span>
                        <p>Are you sure you want to remove this item?</p>
                        <button id="confirm-remove-yes">Delete</button>
                        <button id="confirm-remove-no">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </main>
<?php
get_footer();
?>
